API referenceAdmin providers
List provider credentials
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/providers"{ "providers": [ { "id": "string", "type": "openai", "slug": "string", "name": "string", "secretHint": "string", "providerGatewayId": "string", "gatewayRoute": { "modelPrefix": "string", "providerOnly": [ "string" ] }, "baseUrl": "string", "pricing": { "property1": { "input": 0, "output": 0, "cached_input": 0, "cache_write": 0, "cache_write_1h": 0, "image_input": 0, "audio_input": 0, "video_input": 0, "image_output": 0, "long_input": 0, "long_output": 0, "long_cached_input": 0, "long_cache_write": 0, "long_cache_write_1h": 0, "long_context_threshold": 1 }, "property2": { "input": 0, "output": 0, "cached_input": 0, "cache_write": 0, "cache_write_1h": 0, "image_input": 0, "audio_input": 0, "video_input": 0, "image_output": 0, "long_input": 0, "long_output": 0, "long_cached_input": 0, "long_cache_write": 0, "long_cache_write_1h": 0, "long_context_threshold": 1 } }, "route": "direct", "capability": { "apiStyles": [ "responses" ], "endpointStyles": [ "responses" ], "modelPrefix": "string", "paths": "provider" }, "revision": 1, "status": "active", "createdAt": "string", "createdBy": "string" } ]}Revoke a management key
Revoke a management key (POST /v1/admin/keys/{id}/revoke) in the App AI Gateway API. Accepts a console session only.
Store a provider credential
Store a provider credential (POST /v1/admin/providers) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.